### A free/open-source library for quantitative finance

Classes
ql/instruments/dividendvanillaoption.hpp File Reference

Vanilla option on a single asset with discrete dividends. More...

`#include <ql/instruments/oneassetoption.hpp>`
`#include <ql/instruments/dividendschedule.hpp>`
`#include <ql/instruments/payoffs.hpp>`
Include dependency graph for dividendvanillaoption.hpp:

## Classes

class | DividendVanillaOption
| Single-asset vanilla option (no barriers) with discrete dividends. More...
class | DividendVanillaOption::arguments
| Arguments for dividend vanilla option calculation More...
class | DividendVanillaOption::engine
| Dividend-vanilla-option engine base class More...

## Detailed Description

Vanilla option on a single asset with discrete dividends.